---
title: "FreeBSD/amd64 6.3-RELEASE Release Notes"
sidenav: download
---

++++


<h3 class="CORPAUTHOR">The FreeBSD Project</h3>

<p class="COPYRIGHT">Copyright &copy; 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007,
2008 The FreeBSD Documentation Project</p>

<p class="PUBDATE">$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/common/new.sgml,v
1.883.2.87.2.7 2008/01/15 02:34:11 hrs Exp $<br />
</p>

<div class="LEGALNOTICE"><a id="TRADEMARKS" name="TRADEMARKS"></a>
<p>FreeBSD is a registered trademark of the FreeBSD Foundation.</p>

<p>IBM, AIX, EtherJet, Netfinity, OS/2, PowerPC, PS/2, S/390, and ThinkPad are trademarks
of International Business Machines Corporation in the United States, other countries, or
both.</p>

<p>IEEE, POSIX, and 802 are registered trademarks of Institute of Electrical and
Electronics Engineers, Inc. in the United States.</p>

<p>Intel, Celeron, EtherExpress, i386, i486, Itanium, Pentium, and Xeon are trademarks or
registered trademarks of Intel Corporation or its subsidiaries in the United States and
other countries.</p>

<p>Sparc, Sparc64, SPARCEngine, and UltraSPARC are trademarks of SPARC International, Inc
in the United States and other countries. Products bearing SPARC trademarks are based
upon architecture developed by Sun Microsystems, Inc.</p>

<p>Many of the designations used by manufacturers and sellers to distinguish their
products are claimed as trademarks. Where those designations appear in this document, and
the FreeBSD Project was aware of the trademark claim, the designations have been followed
by the &#8220;&trade;&#8221; or the &#8220;&reg;&#8221; symbol.</p>
</div>

<div>
<div class="ABSTRACT"><a id="AEN26" name="AEN26"></a>
<p>The release notes for FreeBSD 6.3-RELEASE contain a summary of the changes made to the
FreeBSD base system on the 6.3-STABLE development line. This document lists applicable
security advisories that were issued since the last release, as well as significant
changes to the FreeBSD kernel and userland. Some brief remarks on upgrading are also
presented.</p>
</div>
</div>

<hr />
</div>

<div class="TOC">
<dl>
<dt><b>Table of Contents</b></dt>

<dt>1 <a href="#INTRO">Introduction</a></dt>

<dt>2 <a href="#NEW">What's New</a></dt>

<dd>
<dl>
<dt>2.1 <a href="#SECURITY">Security Advisories</a></dt>

<dt>2.2 <a href="#KERNEL">Kernel Changes</a></dt>

<dd>
<dl>
<dt>2.2.1 <a href="#BOOT">Boot Loader Changes</a></dt>

<dt>2.2.2 <a href="#PROC">Hardware Support</a></dt>

<dt>2.2.3 <a href="#NET-PROTO">Network Protocols</a></dt>

<dt>2.2.4 <a href="#DISKS">Disks and Storage</a></dt>

<dt>2.2.5 <a href="#FS">File Systems</a></dt>
</dl>
</dd>

<dt>2.3 <a href="#USERLAND">Userland Changes</a></dt>

<dd>
<dl>
<dt>2.3.1 <a href="#RC-SCRIPTS"><tt class="FILENAME">/etc/rc.d</tt> Scripts</a></dt>
</dl>
</dd>

<dt>2.4 <a href="#CONTRIB">Contributed Software</a></dt>

<dt>2.5 <a href="#PORTS">Ports/Packages Collection Infrastructure</a></dt>

<dt>2.6 <a href="#RELENG">Release Engineering and Integration</a></dt>

<dt>2.7 <a href="#DOC">Documentation</a></dt>
</dl>
</dd>

<dt>3 <a href="#UPGRADE">Upgrading from previous releases of FreeBSD</a></dt>
</dl>
</div>

<div class="SECT1">
<h2 class="SECT1"><a id="INTRO" name="INTRO">1 Introduction</a></h2>

<p>This document contains the release notes for FreeBSD 6.3-RELEASE on the AMD64 hardware
platform. It describes recently added, changed, or deleted features of FreeBSD. It also
provides some notes on upgrading from previous versions of FreeBSD.</p>

<p>This distribution of FreeBSD 6.3-RELEASE is a release distribution. It can be found at
<a href="ftp://ftp.FreeBSD.org/" target="_top">ftp://ftp.FreeBSD.org/</a> or any of its
mirrors. More information on obtaining this (or other) release distributions of FreeBSD
can be found in the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/mirrors.html"
target="_top">&#8220;Obtaining FreeBSD&#8221; appendix</a> to the <a
href="http://www.FreeBSD.org/doc/en_US.ISO8859-1/books/handbook/" target="_top">FreeBSD
Handbook</a>.</p>

<p>All users are encouraged to consult the release errata before installing FreeBSD. The
errata document is updated with &#8220;late-breaking&#8221; information discovered late
in the release cycle or after the release. Typically, it contains information on known
bugs, security advisories, and corrections to documentation. An up-to-date copy of the
errata for FreeBSD 6.3-RELEASE can be found on the FreeBSD Web site.</p>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="NEW" name="NEW">2 What's New</a></h2>

<p>This section describes the most user-visible new or changed features in FreeBSD since
6.2-RELEASE.</p>

<p>Typical release note items document recent security advisories issued after
6.2-RELEASE, new drivers or hardware support, new commands or options, major bug fixes,
or contributed software upgrades. They may also list changes to major ports/packages or
release engineering practices. Clearly the release notes cannot list every single change
made to FreeBSD between releases; this document focuses primarily on security advisories,
user-visible changes, and major architectural improvements.</p>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="SECURITY" name="SECURITY">2.1 Security Advisories</a></h3>

<p>Two remote denials of service in BIND (one involving DNSSEC and one involving
recursive DNS queries) have been fixed. For more information, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:02.bind.asc"
target="_top">FreeBSD-SA-07:02.bind</a>.</p>

<p>Processing of IPv6 type 0 Routing Headers is now controlled by the <code
class="VARNAME">net.inet6.ip6.rthdr0_allowed</code> sysctl variable, which defaults to
<tt class="LITERAL">0</tt> (off). For more information, see security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:03.ipv6.asc"
target="_top">FreeBSD-SA-07:03.ipv6</a>.</p>

<p>Problems with <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=libarchive&sektion=3&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">libarchive</span>(3)</span></a>
and <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&sektion=1&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tar</span>(1)</span></a> handling
corrupted <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tar&sektion=5&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tar</span>(5)</span></a> archive
files have been fixed. More details can be found in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:05.libarchive.asc"
target="_top">FreeBSD-SA-07:05.libarchive</a>.</p>

<p>A buffer overflow in OpenSSL (fixed incorrectly in a previously security patch) has
been corrected. More details can be found in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:08.openssl.asc"
target="_top">FreeBSD-SA-07:08.openssl</a>.</p>

<p>An flaw that could lead to the disclosure of previously-generated <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=random&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">random</span>(4)</span></a> data
has been corrected. Information regarding this issue can be found in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:09.random.asc"
target="_top">FreeBSD-SA-07:09.random</a>.</p>

<p>Information disclosure issues found in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=openpty&sektion=3&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">openpty</span>(3)</span></a> and
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ptsname&sektion=3&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ptsname</span>(3)</span></a> have
been corrected. Information regarding this issue can be found in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-08:01.pty.asc"
target="_top">FreeBSD-SA-08:01.pty</a>.</p>

<p>A programming error in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=inet_network&sektion=3&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">inet_network</span>(3)</span></a>
Internet address manipulation function that could lead to overwriting a region of memory
with user defined data has been corrected. Information regarding this issue can be found
in security advisory <a
href="http://security.FreeBSD.org/advisories/FreeBSD-SA-08:02.libc.asc"
target="_top">FreeBSD-SA-08:02.libc</a>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="KERNEL" name="KERNEL">2.2 Kernel Changes</a></h3>

<p><a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi</span>(4)</span></a> now has
support for the HPET time counter.</p>

<p>Support for Message Signaled Interrupts (MSI) and Extended Message Signaled Interrupts
(MSI-X) has been added to the kernel's PCI support code.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="BOOT" name="BOOT">2.2.1 Boot Loader Changes</a></h4>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="PROC" name="PROC">2.2.2 Hardware Support</a></h4>

<p>An <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=acpi_dock&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">acpi_dock</span>(4)</span></a>
driver has been added to provide support for controlling laptop docking station functions
via ACPI.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=coretemp&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">coretemp</span>(4)</span></a>
driver has been added to provide temperature readings on <span
class="TRADEMARK">Intel</span>&reg; <span class="TRADEMARK">Core</span>&#8482;
processors.</p>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="MM" name="MM">2.2.2.1 Multimedia Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snd_envy24&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snd_envy24</span>(4)</span></a>
driver has been added to support the Envy24 series of audio chips.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snd_envy24ht&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snd_envy24ht</span>(4)</span></a>
driver has been added to support the VIA Envy24HT series of audio chips.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snd_hda&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snd_hda</span>(4)</span></a>
driver has been added. It supports devices that conform to revision 1.0 of the Intel High
Definition Audio specification.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=snd_spicds&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">snd_spicds</span>(4)</span></a>
driver has been added to support I2S SPI audio codec chips.</p>
</div>

<div class="SECT4">
<hr />
<h5 class="SECT4"><a id="NET-IF" name="NET-IF">2.2.2.2 Network Interface Support</a></h5>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ath&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ath</span>(4)</span></a> driver
has been updated to HAL version 0.9.20.3.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=axe&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">axe</span>(4)</span></a> driver
now supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=altq&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">altq</span>(4)</span></a>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=cxgb&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">cxgb</span>(4)</span></a> driver
has been added. It provides support for 10 Gigabit Ethernet adapters based on the Chelsio
T3 and T3B chipsets.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=edsc&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">edsc</span>(4)</span></a> driver,
which provides Ethernet discard network interfaces, has been added.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=em&sektion=4&manpath=FreeBSD+6.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">em</span>(4)</span></a> driver has been
updated to version 6.7.2 from Intel.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=msk&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">msk</span>(4)</span></a> driver
has been added. It supports network interfaces using the Marvell/SysKonnect Yukon II
Gigabit Ethernet controller.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mxge&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mxge</span>(4)</span></a> driver,
which supports Myricom Myri10GE 10 Gigabit Ethernet adapters, has been added. For more
details, see <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mxge&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mxge</span>(4)</span></a>.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=vge&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">vge</span>(4)</span></a> driver
now supports <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=altq&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">altq</span>(4)</span></a>.</p>

<p>The 802.11 protocol stack now has support for 900 MHz cards, as well as quarter- and
half-channel support for 802.11a.</p>
</div>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="NET-PROTO" name="NET-PROTO">2.2.3 Network Protocols</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=if_bridge&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">if_bridge</span>(4)</span></a>
driver now supports RSTP, the Rapid Spanning Tree Protocol (802.1w).</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=lagg&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">lagg</span>(4)</span></a> driver,
ported from OpenBSD and NetBSD, has been added to support a variety of protocols and
algorithms for link aggregation, failover, and fault tolerance.</p>

<p>A new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_deflate&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_deflate</span>(4)</span></a>
NetGraph node type has been added. It implements Deflate PPP compression.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_ppp&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_ppp</span>(4)</span></a>
Netgraph node is now MPSAFE.</p>

<p>A new <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ng_pred1&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ng_pred1</span>(4)</span></a>
NetGraph node type has been added to implement Predictor-1 PPP compression.</p>

<p>A bug which prevented FreeBSD 6.2-RELEASE from running IPv6 correctly over <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=gif&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">gif</span>(4)</span></a> tunnels
has been fixed.</p>

<p>The <code class="VARNAME">net.link.tap.up_on_open</code> sysctl variable has been
added to the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tap&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tap</span>(4)</span></a> driver.
If enabled, new tap devices will marked <tt class="LITERAL">up</tt> upon creation.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="DISKS" name="DISKS">2.2.4 Disks and Storage</a></h4>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mpt&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mpt</span>(4)</span></a> driver
has been updated to support various new features such as RAID volume and RAID member
state/settings reporting, periodic volume re-synchronization status reporting, and sysctl
variables for volume re-synchronization rate, volume member write cache status, and
volume transaction queue depth.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mpt&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mpt</span>(4)</span></a> driver
now supports SAS HBA (partially), 64-bit PCI, and large data transfer.</p>

<p>The scsi_sg driver, which emulates a significant subset of the Linux SCSI SG
passthrough device API, has been added. It is intended to allow programs running under
Linux emulation (as well as native FreeBSD applications) to access the <tt
class="FILENAME">/dev/sg<tt class="REPLACEABLE"><i>*</i></tt></tt> devices supported by
Linux.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=twa&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">twa</span>(4)</span></a> driver
has been updated to the 3.60.03.006 release on the 3ware Web site. It now supports AMCC's
3ware 9650 series of SATA controllers.</p>
</div>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="FS" name="FS">2.2.5 File Systems</a></h4>

<p>The unionfs file system has been re-implemented. This version solves many crashing and
locking issues compared to the previous implementation. It also adds new
&#8220;transparent&#8221; and &#8220;masquerade&#8221; modes for automatically creating
files in the upper file system layer of unions. More information can be found in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=mount_unionfs&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">mount_unionfs</span>(8)</span></a>
manual page.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="USERLAND" name="USERLAND">2.3 Userland Changes</a></h3>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=camcontrol&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">camcontrol</span>(8)</span></a>
utility now supports a <tt class="COMMAND">readcap</tt> command to display the size of
devices.</p>

<p>A bug in <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a>, which caused it not to update
SMP kernels correctly, has been fixed.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=fdisk&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">fdisk</span>(8)</span></a> program
now supports a <code class="OPTION">-p</code> flag to print the slice table in fdisk
configuration format.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=freebsd-update&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">freebsd-update</span>(8)</span></a> utility now supports an <tt
class="COMMAND">upgrade</tt> command to perform binary upgrades between different
versions of FreeBSD.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ftpd</span>(8)</span></a> utility
now has support for RFC2389 (FEAT) and rudimentary support for RFC2640 (UTF8). The
RFC2640 support is optional and can be enabled using the new <code
class="OPTION">-8</code> flag. More information can be found in the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ftpd&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ftpd</span>(8)</span></a> manual
page.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=ipfwpcap&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">ipfwpcap</span>(8)</span></a>
utility has been added; it captures packets on a <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=divert&sektion=4&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">divert</span>(4)</span></a> socket
and writes them as <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pcap&sektion=3&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">pcap</span>(3)</span></a> (also
known as <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=tcpdump&sektion=1&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">tcpdump</span>(1)</span></a>)
format data to a file or pipe.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rpc.lockd&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rpc.lockd</span>(8)</span></a> and
<a
href="http://www.FreeBSD.org/cgi/man.cgi?query=rpc.statd&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">rpc.statd</span>(8)</span></a>
programs now accept <code class="OPTION">-p</code> options to indicate which port they
should bind to.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=pw&sektion=8&manpath=FreeBSD+6.3-RELEASE"><span
 class="CITEREFENTRY"><span class="REFENTRYTITLE">pw</span>(8)</span></a> program now
supports a <code class="OPTION">-M</code> option to set the permissions of a user's newly
created home directory.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=top&sektion=1&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">top</span>(1)</span></a> program
now supports a <code class="OPTION">-j</code> flag to display the <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=jail&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">jail</span>(8)</span></a> ID for
each process.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=touch&sektion=1&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span class="REFENTRYTITLE">touch</span>(1)</span></a> utility
now supports a <code class="OPTION">-A</code> flag that allows the access and
modification times of a file be adjusted by a specified value.</p>

<p>The <a
href="http://www.FreeBSD.org/cgi/man.cgi?query=wpa_passphrase&sektion=8&manpath=FreeBSD+6.3-RELEASE">
<span class="CITEREFENTRY"><span
class="REFENTRYTITLE">wpa_passphrase</span>(8)</span></a> utility has been added. It
generates a 256-bit pre-shared WPA key from an ASCII passphrase.</p>

<div class="SECT3">
<hr />
<h4 class="SECT3"><a id="RC-SCRIPTS" name="RC-SCRIPTS">2.3.1 <tt
class="FILENAME">/etc/rc.d</tt> Scripts</a></h4>

<p>The <tt class="FILENAME">sendmail</tt> script can be instructed not to rebuild the
aliases database if it is missing or older than the aliases file. If desired, set the new
rc.conf option <code class="VARNAME">sendmail_rebuild_aliases</code> to "NO" to turn off
that functionality.</p>

<p>The <tt class="FILENAME">/etc/rc.d/nfslocking</tt> script has been deprecated and will
be removed in a future release. It has been replaced by the <tt
class="FILENAME">/etc/rc.d/lockd</tt> and <tt class="FILENAME">/etc/rc.d/statd</tt>
scripts.</p>
</div>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="CONTRIB" name="CONTRIB">2.4 Contributed Software</a></h3>

<p><b class="APPLICATION">awk</b> has been updated from the 24 April 2005 release to the
1 May 2007 release.</p>

<p><b class="APPLICATION">BIND</b> has been updated from 9.3.3 to 9.3.4-p1.</p>

<p><b class="APPLICATION">BZIP2</b> has been updated from 1.0.3 to 1.0.4.</p>

<p>GNU <b class="APPLICATION">Diffutils</b> has been updated from 2.7 to 2.8.7.</p>

<p>The GNU version of <b class="APPLICATION">gzip</b> has been replaced with a modified
version of gzip ported from NetBSD.</p>

<p><b class="APPLICATION">IPFilter</b> has been updated from 4.1.13 to 4.1.28.</p>

<p><b class="APPLICATION">less</b> has been updated from v381 to v416.</p>

<p><b class="APPLICATION">ncurses</b> has been updated from 5.2-20020615 to 5.6-20061217.
ncurses now also has wide character support.</p>

<p><b class="APPLICATION">netcat</b> has been updated from the version in a 4 February
2005 OpenBSD snapshot to the version included in OpenBSD 4.1.</p>

<p><b class="APPLICATION">GNU Readline library</b> has been updated from 5.0 to 5.2 patch
2.</p>

<p><b class="APPLICATION">sendmail</b> has been updated from 8.13.8 to 8.14.2.</p>

<p>The timezone database has been updated from the <b class="APPLICATION">tzdata2006g</b>
release to the <b class="APPLICATION">tzdata2007k</b> release.</p>

<p>TrustedBSD <b class="APPLICATION">OpenBSM</b> has been updated from 1.0 alpha 12 to
1.0.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="PORTS" name="PORTS">2.5 Ports/Packages Collection
Infrastructure</a></h3>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="RELENG" name="RELENG">2.6 Release Engineering and
Integration</a></h3>

<p>The supported version of the <b class="APPLICATION">GNOME</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/gnome2/pkg-descr"><tt
class="FILENAME">x11/gnome2</tt></a>) has been updated from 2.16.1 to 2.20.1.</p>

<p>The supported version of the <b class="APPLICATION">KDE</b> desktop environment (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/kde3/pkg-descr"><tt
class="FILENAME">x11/kde3</tt></a>) has been updated from 3.5.4 to 3.5.7.</p>

<p>The supported version of the <b class="APPLICATION">Xorg</b> windowing system (<a
href="http://www.FreeBSD.org/cgi/url.cgi?ports/x11/xorg/pkg-descr"><tt
class="FILENAME">x11/xorg</tt></a>) has been updated from 6.9.0 to 7.3.0.</p>

<p>The default value of <code class="VARNAME">X11BASE</code> has been changed from <tt
class="FILENAME">/usr/X11R6</tt> to <tt class="FILENAME">/usr/local</tt>, the default
value of <code class="VARNAME">LOCALBASE</code>.</p>
</div>

<div class="SECT2">
<hr />
<h3 class="SECT2"><a id="DOC" name="DOC">2.7 Documentation</a></h3>
</div>
</div>

<div class="SECT1">
<hr />
<h2 class="SECT1"><a id="UPGRADE" name="UPGRADE">3 Upgrading from previous releases of
FreeBSD</a></h2>

<p>Source upgrades to FreeBSD 6.3-RELEASE are only supported from FreeBSD 5.3-RELEASE or
later. Users of older systems wanting to upgrade 6.3-RELEASE will need to update to
FreeBSD 5.3 or newer first, then to FreeBSD 6.3-RELEASE.</p>

<div class="IMPORTANT">
<blockquote class="IMPORTANT">
<p><b>Important:</b> Upgrading FreeBSD should, of course, only be attempted after backing
up <span class="emphasis"><i class="EMPHASIS">all</i></span> data and configuration
files.</p>
</blockquote>
</div>
</div>
</div>

<hr />
<p align="center"><small>This file, and other release-related documents, can be
downloaded from <a href="ftp://ftp.FreeBSD.org/">ftp://ftp.FreeBSD.org/</a>.</small></p>

<p align="center"><small>For questions about FreeBSD, read the <a
href="http://www.FreeBSD.org/docs.html">documentation</a> before contacting &#60;<a
href="mailto:questions@FreeBSD.org">questions@FreeBSD.org</a>&#62;.</small></p>

<p align="center"><small>For questions about this documentation, e-mail &#60;<a
href="mailto:doc@FreeBSD.org">doc@FreeBSD.org</a>&#62;.</small></p>
++++


